<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Assemble Quarto knitr figure chunk — fig_chunk • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Assemble Quarto knitr figure chunk — fig_chunk"><meta name="description" content="Assembles a Quarto knitr figure chunk that outputs a pre-assembled Plotly chart."><meta property="og:description" content="Assembles a Quarto knitr figure chunk that outputs a pre-assembled Plotly chart."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Assemble Quarto knitr figure chunk</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb.report/blob/HEAD/R/rdb.report.gen.R" class="external-link"><code>R/rdb.report.gen.R</code></a></small>
      <div class="d-none name"><code>fig_chunk.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Assembles a <a href="https://quarto.org/docs/authoring/figures.html#computations" class="external-link">Quarto knitr figure chunk</a> that outputs a <a href="ls_objs.html">pre-assembled</a> Plotly chart.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">fig_chunk</span><span class="op">(</span></span>
<span>  <span class="va">id</span>,</span>
<span>  fig_cap <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  fig_pos <span class="op">=</span> <span class="st">"H"</span>,</span>
<span>  layout_class <span class="op">=</span> <span class="st">"page"</span>,</span>
<span>  htmlwidget <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  htmlwidget_asis <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  non_html_ext <span class="op">=</span> <span class="st">"pdf"</span>,</span>
<span>  inline_svg <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-id">id<a class="anchor" aria-label="anchor" href="#arg-id"></a></dt>
<dd><p>Plot identifier. A character scalar.</p></dd>


<dt id="arg-fig-cap">fig_cap<a class="anchor" aria-label="anchor" href="#arg-fig-cap"></a></dt>
<dd><p>Figure caption. Set as Quarto's <a href="https://quarto.org/docs/reference/cells/cells-knitr.html#figures" class="external-link"><code>fig-cap</code></a> code chunk option. Either <code>NULL</code>
to omit or a character vector.</p></dd>


<dt id="arg-fig-pos">fig_pos<a class="anchor" aria-label="anchor" href="#arg-fig-pos"></a></dt>
<dd><p>LaTeX <a href="https://quarto.org/docs/authoring/figures.html#figure-position" class="external-link">figure position arrangement</a> to be used in <code>\begin{figure}[]</code>. Set as
Quarto's <a href="https://quarto.org/docs/reference/cells/cells-knitr.html#figures" class="external-link"><code>fig-pos</code></a> code chunk option. Either <code>NULL</code> to omit, a character scalar, or
<code>FALSE</code> for no figure position specifier, which is sometimes necessary with custom figure environments (such as <code>sidewaysfigure</code>).</p></dd>


<dt id="arg-layout-class">layout_class<a class="anchor" aria-label="anchor" href="#arg-layout-class"></a></dt>
<dd><p>Quarto <a href="https://quarto.org/docs/authoring/article-layout.html#available-columns" class="external-link">article layout class</a> for the figure output. Set as
Quarto's <a href="https://quarto.org/docs/reference/cells/cells-knitr.html#page-columns" class="external-link"><code>fig-column</code></a> code chunk option. One of</p><ul><li><p><code>"body"</code></p></li>
<li><p><code>"body-outset"</code></p></li>
<li><p><code>"body-outset-left"</code></p></li>
<li><p><code>"body-outset-right"</code></p></li>
<li><p><code>"page"</code></p></li>
<li><p><code>"page-left"</code></p></li>
<li><p><code>"page-right"</code></p></li>
<li><p><code>"page-inset"</code></p></li>
<li><p><code>"page-inset-left"</code></p></li>
<li><p><code>"page-inset-right"</code></p></li>
<li><p><code>"screen"</code></p></li>
<li><p><code>"screen-left"</code></p></li>
<li><p><code>"screen-right"</code></p></li>
<li><p><code>"screen-inset"</code></p></li>
<li><p><code>"screen-inset-shaded"</code></p></li>
<li><p><code>"screen-inset-left"</code></p></li>
<li><p><code>"screen-inset-right"</code></p></li>
<li><p><code>"margin"</code></p></li>
</ul></dd>


<dt id="arg-htmlwidget">htmlwidget<a class="anchor" aria-label="anchor" href="#arg-htmlwidget"></a></dt>
<dd><p>Whether or not to include the plot as an htmlwidget for HTML output. If <code>FALSE</code>, the plot is included as a static SVG instead (inlined if
<code>inline_svg = TRUE</code>).</p></dd>


<dt id="arg-htmlwidget-asis">htmlwidget_asis<a class="anchor" aria-label="anchor" href="#arg-htmlwidget-asis"></a></dt>
<dd><p>Whether or not to return the result for HTML output <code><a href="https://rdrr.io/pkg/knitr/man/knit_print.html" class="external-link">knitr::knit_print()</a></code>ed and marked as <code><a href="https://rdrr.io/pkg/knitr/man/asis_output.html" class="external-link">knit_asis</a></code>. See
section <strong>Details</strong> below. Only relevant if <code>htmlwidget = TRUE</code>.</p></dd>


<dt id="arg-non-html-ext">non_html_ext<a class="anchor" aria-label="anchor" href="#arg-non-html-ext"></a></dt>
<dd><p>File extension of the image for non-HTML output. One of</p><ul><li><p><code>"eps"</code></p></li>
<li><p><code>"pdf"</code></p></li>
<li><p><code>"png"</code></p></li>
<li><p><code>"ps"</code></p></li>
<li><p><code>"svg"</code></p></li>
<li><p><code>"webp"</code></p></li>
</ul></dd>


<dt id="arg-inline-svg">inline_svg<a class="anchor" aria-label="anchor" href="#arg-inline-svg"></a></dt>
<dd><p>Whether or not to directly inline the plot's SVG for HTML output. If <code>FALSE</code>, the plot's SVG file is referenced via an <code>&lt;img&gt;</code> tag. Only
relevant if <code>htmlwidget = FALSE</code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A character scalar.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb.report</span><span class="fu">:::</span><span class="fu">fig_chunk</span><span class="op">(</span>id <span class="op">=</span> <span class="st">"topic_segmentation_per_lineage"</span>,</span></span>
<span class="r-in"><span>                       fig_cap <span class="op">=</span> <span class="st">"Topic segmentation per topic lineage"</span>,</span></span>
<span class="r-in"><span>                       layout_class <span class="op">=</span> <span class="st">"screen"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> ```{r}</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #| label: fig-topic_segmentation_per_lineage</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #| fig-cap:</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #|   - Topic segmentation per topic lineage</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #| fig-column: screen</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #| fig-pos: H</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> rdb.report::insert_plotly(id = 'topic_segmentation_per_lineage',</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>                           htmlwidget = TRUE,</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>                           htmlwidget_asis = FALSE,</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>                           non_html_ext = 'pdf',</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>                           inline_svg = TRUE)</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> ```</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> </span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

